#=======================================================================
# report_itemtags_html.tcl -- Example -- (c) Claus-Peter Rckemann, 2001
#
# Report of enclosed item id, tags, bind and coords in HTML format.
#
# usage from interactive actmap shell:
#   source report_itemtags_html.tcl
#   report_itemtags_html report_itemtags_html.html 0 0 1000 1000
#
# proc arg1   : file to output data          [report_itemtags_html.html]
# proc arg2-5 : x0, y0, x1, y1 for selected area   [0],[0],[1000],[1000]
#=======================================================================
proc report_itemtags_html { FileName x0 y0 x1 y1 } {
global w
set F [open $FileName w+]
set listone [getItemsEnclosed $x0 $y0 $x1 $y1]
puts $F "<table>"
foreach { a } $listone { 
 puts $F "<tr>"
 set myitemtags [getItemTags $a]
 set myitembinds ""
 foreach { i } $myitemtags {
   catch {
     lappend myitembinds [$w bind $i]
   }
 }
 regsub -all "bg_bitmap " $myitemtags "<b>bg_bitmap</b> " myitemtags
 regsub -all "photo " $myitemtags \
        "<font color=\"#0000ff\"><b>photo</b></font> " myitemtags
 regsub -all "bitmap " $myitemtags \
        "<font color=\"#0000dd\"><b>bitmap</b></font> " myitemtags
 regsub -all "itemshape " $myitemtags \
        "<font color=\"\#ff0000\"><b>itemshape</b></font> " myitemtags
 regsub -all "itemtext " $myitemtags \
        "<font color=\"\#007700\"><b>itemtext</b></font> " myitemtags
 regsub -all "<" $myitembinds "\\&lt;" myitembinds
 regsub -all ">" $myitembinds "\\&gt;" myitembinds

 puts $F [ format "<td bgcolor=\"\#ffeeaa\" align=\"right\">%s</td>" $a ]
 puts $F [ format "<td bgcolor=\"\#eaeaea\">%s</td>" $myitemtags ]
 puts $F [ format "<td bgcolor=\"\#efefef\">%s</td>" $myitembinds ]
 puts $F [ format "<td bgcolor=\"\#e4e4e4\">%s</td>" [$w coords $a] ]
 puts $F "</tr>"
}
puts $F "</table>"
close $F
}
##EOF:
